summaryrefslogtreecommitdiff
path: root/tests/general/Makefile
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2013-01-27 23:51:56 +0000
committerIgor Pashev <pashev.igor@gmail.com>2013-01-27 23:51:56 +0000
commit6ab0c0f5bf14ed9c15370407b9ee7e0b4b089ae1 (patch)
tree926065cf45450116098db664e3c61dced9e1f21a /tests/general/Makefile
downloadicon-6ab0c0f5bf14ed9c15370407b9ee7e0b4b089ae1.tar.gz
Initial upstream version 9.4.3upstream/9.4.3
Diffstat (limited to 'tests/general/Makefile')
-rw-r--r--tests/general/Makefile48
1 files changed, 48 insertions, 0 deletions
diff --git a/tests/general/Makefile b/tests/general/Makefile
new file mode 100644
index 0000000..56da471
--- /dev/null
+++ b/tests/general/Makefile
@@ -0,0 +1,48 @@
+# Makefile for testing Icon
+
+
+SAMPLES = btrees diffwrds kross meander prefix recogn roman sieve wordcnt
+
+
+
+# default is to run all tests, using icont
+
+Test Test-icont: Test-programs Test-preproc Test-options
+
+
+# test programs
+
+Programs Programs-icont Test-programs:
+ IC=icont sh Test-icon
+
+Samples Samples-icont:
+ IC=icont sh Test-icon $(SAMPLES)
+
+
+Test-iconc:
+ IC=iconc sh Test-icon
+
+Samples-iconc:
+ IC=iconc sh Test-icon $(SAMPLES)
+
+
+# test preprocessor
+
+Test-preproc:
+ ../../bin/icont -E tpp.icn tpp9.icn >tpp.out 2>tpp.err || :
+ cat tpp.err tpp.out >tpp.all
+ cmp tpp.ok tpp.all
+ : preprocessor test passed
+
+
+# test various command options
+
+Test-options:
+ sh Test-opts >options.out
+ cmp options.ok options.out
+ : options test passed
+
+
+Clean:
+ -rm -f *.u? *.c *.h foo.baz tmp1 tmp2 *.out *.err *.all
+ -rm -f xx `find * -type f -perm -100 ! -name 'Test-*' -print`